(function() {"use strict";var __module = CC_EDITOR ? module : {exports:{}};var __filename = 'preview-scripts/assets/Script/Helloworld.js';var __require = CC_EDITOR ? function (request) {return cc.require(request, require);} : function (request) {return cc.require(request, __filename);};function __define (exports, require, module) {"use strict";
cc._RF.push(module, 'e1b90/rohdEk4SdmmEZANaD', 'Helloworld', __filename);
// Script/Helloworld.ts

Object.defineProperty(exports, "__esModule", { value: true });
var ListView_1 = require("./ListView");
var ListItemComp_1 = require("./ListItemComp");
var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
var Helloworld = /** @class */ (function (_super) {
    __extends(Helloworld, _super);
    function Helloworld() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.listView = null;
        _this.horListView = null;
        _this.tipLabel = null;
        return _this;
    }
    Helloworld.prototype.start = function () {
        var _this = this;
        // 可以是其他的复杂对象数据.这里为了演示,仅使用数字数据.
        var data = [1, 2, 3, 4, 5, 6, 7, 8, 9];
        var adapter = new ListAdapter();
        adapter.setDataSet(data);
        this.listView.setAdapter(adapter);
        var adapter2 = new ListAdapter();
        adapter2.setDataSet(data);
        this.horListView.setAdapter(adapter2);
        this.scheduleOnce(function () {
            adapter.setDataSet([9, 8, 7]);
            _this.listView.notifyUpdate();
            adapter2.setDataSet(["a", "b"]);
            _this.horListView.notifyUpdate();
        }, 5);
        // 可选功能.
        this.listView.pullDown(function () {
            console.log("你已经上拉到最顶端了.");
            _this.tipLabel.string = "你已经上拉到最顶端了.";
        }, this);
        this.listView.pullUp(function () {
            console.log("你已经下拉到最底端了.");
            _this.tipLabel.string = "你已经下拉到最底端了";
        }, this);
    };
    __decorate([
        property(ListView_1.default)
    ], Helloworld.prototype, "listView", void 0);
    __decorate([
        property(ListView_1.default)
    ], Helloworld.prototype, "horListView", void 0);
    __decorate([
        property(cc.Label)
    ], Helloworld.prototype, "tipLabel", void 0);
    Helloworld = __decorate([
        ccclass
    ], Helloworld);
    return Helloworld;
}(cc.Component));
exports.default = Helloworld;
var ListAdapter = /** @class */ (function (_super) {
    __extends(ListAdapter, _super);
    function ListAdapter() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ListAdapter.prototype.updateView = function (item, posIndex) {
        var comp = item.getComponent(ListItemComp_1.default);
        if (comp) {
            comp.setData(this.getItem(posIndex));
        }
    };
    return ListAdapter;
}(ListView_1.AbsAdapter));

cc._RF.pop();
        }
        if (CC_EDITOR) {
            __define(__module.exports, __require, __module);
        }
        else {
            cc.registerModuleFunc(__filename, function () {
                __define(__module.exports, __require, __module);
            });
        }
        })();
        //# sourceMappingURL=Helloworld.js.map
        